package xmlrpcstandaloneserver;

/**
 * Title:        XML-RPC Standalone Server
 * Description:  Einfacher XML-RPC Server
 * Copyright:    Copyright (c) 2001
 * Company:      http://www.joller-voss.ch
 * @author Josef M. Joller
 * @version 1.0
 */

import java.net.*;
import java.io.*;


public class FibonacciClient {

  static String server
   = "http://62.2.89.134:8080/fibonacci/XML-RPC"; // hoffentlich luft er

  public static void main(String[] args) {
    args = new String[2];
    args[0]="10";

    for (int i = 0; i < args.length; i++) {

      try {
        // hoppla
        URL u = new URL(server);
        URLConnection uc = u.openConnection();
        HttpURLConnection connection = (HttpURLConnection) uc;
        connection.setDoOutput(true);
        connection.setDoInput(true);
        connection.setRequestMethod("POST");
        OutputStream out = connection.getOutputStream();
        OutputStreamWriter wout = new OutputStreamWriter(out, "UTF-8");

        wout.write("<?xml version=\"1.0\"?>\r\n");
        wout.write("<methodCall>\r\n");
        wout.write(
         "  <methodName>calculateFibonacci</methodName>\r\n");
        wout.write("  <params>\r\n");
        wout.write("    <param>\r\n");
        wout.write("      <value><int>");
        wout.write(args[i]);
        wout.write("</int></value>\r\n");
        wout.write("    </param>\r\n");
        wout.write("  </params>\r\n");
        wout.write("</methodCall>\r\n");

        wout.flush();
        out.close();

        InputStream in = connection.getInputStream();
        int c;
        while ((c = in.read()) != -1) System.out.write(c);
        in.close();
        out.close();
        connection.disconnect();
      }
      catch (IOException e) {
        System.err.println(e);
        e.printStackTrace();
      }
    }
  }
}

