package xmlrpcstandaloneserver;

import java.util.Vector;

import org.apache.xmlrpc.XmlRpcHandler;

/**
 * Title:        XML-RPC Standalone Server
 * Description:  Einfacher XML-RPC Server
 * Copyright:    Copyright (c) 2001
 * Company:      http://www.joller-voss.ch
 * @author Josef M. Joller
 * @version 1.0
 */

public class XMLRPCHandler implements XmlRpcHandler {

  public XMLRPCHandler() {
    System.out.println("[XMLRPCHandler]Konstruktor");
  }
  public Object execute(String pMethode, Vector pParameter) throws java.lang.Exception {
    System.out.println("[XMLRPCHandler]Name des Services: "+pMethode);
    if (pParameter.size() >0)
      System.out.println("[XMLRPCHandler]Service Parameter: ");
    for (int i=0; i<pParameter.size(); i++)
    	System.out.println("\t"+pParameter.elementAt(i));
    // typischerweise muss hier eine case Anweisung stehen:
    // falls Methode 1: ...
    // falls Methode 2: ...
    int p1=((Integer)pParameter.elementAt(0)).intValue(),
				p2=((Integer)pParameter.elementAt(1)).intValue();
    return new Integer(summe(p1,p2));
  }
  private int summe(int x, int y) {
	  System.out.println("[Server]summe: Parameter: "+x+"; "+y+";");
	  System.out.println("\tSumme: "+(x+y)+";");
	  return (x+y);
  }
}