package xmlrpcstandaloneserver;

/**
 * Title:        XML-RPC Standalone Server
 * Description:  Einfacher XML-RPC Server
 * Copyright:    Copyright (c) 2001
 * Company:      http://www.joller-voss.ch
 * @author Josef M. Joller
 * @version 1.0
 */
import java.io.IOException;

import org.apache.xmlrpc.WebServer;

public class GetSetServer {

  public GetSetServer() {
    System.out.println("[GetSetServer]Konstruktor");
  }
  public static void main(String[] args) {
    GetSetServer getSetServer1 = new GetSetServer();
    args = new String[1];
    args[0]="9898";

    try {
      // Server starten
      System.out.println("[GetSetServer]Web Server starten");
      WebServer server = new WebServer(Integer.parseInt(args[0]));
      // Handler registrieren
      System.out.println("[GetSetServer]Web Service registrieren");
      server.addHandler("GetSet",new GetSetHandler(20));
      System.out.println("[GetSetServer]Warten auf Anfragen...");
    } catch(IOException ioe) {
      ioe.printStackTrace();
    }
  }
}