package xmlrpcstandaloneserver;

/**
 * Title:        XML-RPC Standalone Server
 * Description:  Einfacher XML-RPC Server
 * Copyright:    Copyright (c) 2001
 * Company:      http://www.joller-voss.ch
 * @author Josef M. Joller
 * @version 1.0
 */
import java.io.IOException;
import java.io.InputStream;
import java.net.*;

public class HTTPTester {

  public HTTPTester() {
    System.out.println("[HTTPTester]Konstruktor");
  }
  public static void main(String[] args) {
    HTTPTester HTTPTester1 = new HTTPTester();
    try {
      ServerSocket server = new ServerSocket(1234);
      Socket sock = server.accept();
      InputStream is = sock.getInputStream();

      while(true) {
        int i = is.read();
        if (i==-1) break;
        System.out.write(i);
      }
      System.out.println("\nVerbindung wird geschlossen");
    } catch (IOException ioe) {
      //ioe.printStackTrace();
      System.err.println("Ende!");
    }
  }
}