package xmlrpcstandaloneserver;
import org.apache.xmlrpc.WebServer;
import org.apache.xmlrpc.XmlRpc;

/**
 * Title:        XML-RPC Standalone Server
 * Description:  Einfacher XML-RPC Server
 * Copyright:    Copyright (c) 2001
 * Company:      http://www.joller-voss.ch
 * @author Josef M. Joller
 * @version 1.0
 */

public class HandlerServer {

  public HandlerServer() {
    System.out.println("[HandlerServer]Konstruktor");
  }
  public static void main(String[] args) {
    try {
      XmlRpc.setDebug(true);
      // Aufruf <http://localhost:8080/RPC2>.
      System.out.println("[Server]Instanziern des Web Servers: localhost:8099");
      WebServer server = new WebServer(8099);
      // Instanz dieses Servers bilden und auf Anfragen warten
      System.out.println("[Server]Instanziern des XML-RPC Servers");
      server.addHandler("HandlerTest", new XMLRPCHandler());

    } catch (Exception exception) {
      System.err.println("[Server]Fehler " + exception.toString());
    }
  }
}