package xmlrpcstandaloneserver;

/**
 * Title:        XML-RPC Standalone Server
 * Description:  Einfacher XML-RPC Server
 * Copyright:    Copyright (c) 2001
 * Company:      http://www.joller-voss.ch
 * @author Josef M. Joller
 * @version 1.0
 */

import org.apache.xmlrpc.*;
import java.net.*;
import java.util.*;
import java.io.*;
public class LoggingClient {

  public LoggingClient() {
    System.out.println("[LoggingClient]Konstruktor");
  }
  public static void main(String[] args) {
    LoggingClient loggingClient1 = new LoggingClient();
    try {
      throw new Exception("Logging");
    } catch(Exception e) {
      report(e);
    }
  }
  public static void report(Exception eReport) {
    try {
      // kreiere Client fr den Logging Server
      XmlRpcClient client = new XmlRpcClient("http://localhost:8989");
      // lokale Angaben
      InetAddress address = InetAddress.getLocalHost();
      String ipAddress = address.toString();
      // Report
      Vector params = new Vector();
      params.addElement(ipAddress);
      params.addElement(eReport.getMessage());
      // remote Aufruf
      Object result =
        client.execute("XMLLogger.XMLLogReport",params);
      System.out.println("\n[LoggingClient]Response: "+result);
    } catch(IOException ioe) {
      ioe.printStackTrace();
    } catch(XmlRpcException xe) {
      xe.printStackTrace();
    }
  }
}