package xmlrpcstandaloneserver;

/**
 * Title:        XML-RPC Standalone Server
 * Description:  Einfacher XML-RPC Server
 * Copyright:    Copyright (c) 2001
 * Company:      http://www.joller-voss.ch
 * @author Josef M. Joller
 * @version 1.0
 */
import java.io.IOException;

import org.apache.xmlrpc.WebServer;

public class LoggingServer {

  public LoggingServer() {
    System.out.println("[LoggingServer]Konstruktor");
  }
  public static void main(String[] args) {
    LoggingServer loggingServer1 = new LoggingServer();
    args = new String[1];
    args[0]="8989";

    try{
      System.out.println("[LoggingServer]Starten des Web Servers");
      WebServer server = new WebServer(Integer.parseInt(args[0]));

      // Handler registrieren
      server.addHandler("XMLLogger", new XMLLogHandler() );
      System.out.println("[LoggingServer]Warten auf Log Eintraege... ");

    } catch(IOException ioe) {
      ioe.printStackTrace();
    }
  }
}