package xmlrpcstandaloneserver;

/**
 * Title:        XML-RPC Standalone Server
 * Description:  Einfacher XML-RPC Server
 * Copyright:    Copyright (c) 2001
 * Company:      http://www.joller-voss.ch
 * @author Josef M. Joller
 * @version 1.0
 */

import java.net.*;
import java.io.*;

public class NochEinClient {

  static String server
   = "http://localhost:8081/RPC2"; // hoffentlich luft er

  public static void main(String[] args) {
    args = new String[1];
    args[0]="10";

    for (int i = 0; i < args.length; i++) {

      try {
        // hoppla
        URL u = new URL(server);
        URLConnection uc = u.openConnection();
        HttpURLConnection connection = (HttpURLConnection) uc;
        connection.setDoOutput(true);
        connection.setDoInput(true);
        connection.setRequestMethod("POST");
        OutputStream out = connection.getOutputStream();
        OutputStreamWriter wout = new OutputStreamWriter(out, "UTF-8");

        wout.write("<?xml version=\"1.0\"?>\r\n");
        wout.write("<methodCall>\r\n");
        wout.write(
         "  <methodName>beispiel.concatinate</methodName>\r\n");
        wout.write("  <params>\r\n");
        wout.write("    <param>\r\n");
        wout.write("      <value>Hallo</value>");
        wout.write("      <value> Ihr da draussen!</value>");
        wout.write("    </param>\r\n");
        wout.write("  </params>\r\n");
        wout.write("</methodCall>\r\n");

        wout.flush();
        out.close();

        System.out.println("\n\nAntwort des Servers\n");
        InputStream in = connection.getInputStream();
        int c;
        while ((c = in.read()) != -1) {
          if ((char)c=='<') {
            System.out.write('\n');
            System.out.write(c);
          }
          else
            System.out.write(c);
        }
        in.close();
        out.close();
        connection.disconnect();
      }
      catch (IOException e) {
        System.err.println(e);
        e.printStackTrace();
      }
    }
  }
}

